Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 8534)
@@ -8,21 +8,21 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3' :                                  LIM 3.0 sea-ice model
+   !!   'key_lim3' :                                     ESIM sea-ice model
    !!----------------------------------------------------------------------
    USE oce            ! ocean dynamics and tracers
    USE dom_oce        ! ocean space and time domain
-   USE ice            ! sea-ice variables
+   USE ice            ! sea-ice: variables
    USE sbc_oce        ! Surface boundary condition: ocean fields
    USE sbc_ice        ! Surface boundary condition: ice   fields
-   USE usrdef_sbc     ! user defined: surface boundary condition
+   USE usrdef_sbc     ! Surface boundary condition: user defined
    USE sbcblk         ! Surface boundary condition: bulk
    USE sbccpl         ! Surface boundary condition: coupled interface
-   USE icealb         ! ice albedo
+   USE icealb         ! sae-ice: albedo
    !
+   USE in_out_manager ! I/O manager
    USE iom            ! I/O manager library
-   USE in_out_manager ! I/O manager
-   USE lbclnk         ! lateral boundary condition - MPP link
    USE lib_mpp        ! MPP library
-   USE lib_fortran    !
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE lbclnk         ! lateral boundary conditions (or mpp links)
    USE timing         ! Timing
 
@@ -44,5 +44,5 @@
 
    SUBROUTINE ice_forcing_tau( kt, ksbc, utau_ice, vtau_ice )
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                  ***  ROUTINE ice_forcing_tau  ***
       !!
@@ -51,5 +51,5 @@
       !! ** Action  : It provides the following fields:
       !!              utau_ice, vtau_ice : surface ice stress (U- & V-points) [N/m2]
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt      ! ocean time step
       INTEGER, INTENT(in) ::   ksbc    ! type of sbc flux ( 1 = user defined formulation, 
@@ -60,7 +60,7 @@
       INTEGER  ::   ji, jj                 ! dummy loop index
       REAL(wp), DIMENSION(jpi,jpj) ::   zutau_ice, zvtau_ice 
-      !!----------------------------------------------------------------------
-
-      IF( nn_timing == 1 )   CALL timing_start('ice_forcing_tau')
+      !!-------------------------------------------------------------------
+
+      IF( nn_timing == 1 )   CALL timing_start('ice_forcing')
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -87,5 +87,5 @@
       ENDIF
 
-      IF( nn_timing == 1 )   CALL timing_stop('ice_forcing_tau')
+      IF( nn_timing == 1 )   CALL timing_stop('ice_forcing')
       !
    END SUBROUTINE ice_forcing_tau
@@ -93,5 +93,5 @@
    
    SUBROUTINE ice_forcing_flx( kt, ksbc )
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                  ***  ROUTINE ice_forcing_flx  ***
       !!
@@ -112,5 +112,5 @@
       !!                tprecip                                  = total  precipitation                          [Kg/m2/s]
       !!                alb_ice                                  = albedo above sea ice
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt     ! ocean time step
       INTEGER, INTENT(in) ::   ksbc   ! flux formulation (user defined, bulk or Pure Coupled)
@@ -119,7 +119,7 @@
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   zalb_os, zalb_cs  ! ice albedo under overcast/clear sky
       REAL(wp), DIMENSION(jpi,jpj)     ::   zalb              ! 2D workspace
-      !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('ice_forcing_flx')
+      !!--------------------------------------------------------------------
+      !
+      IF( nn_timing == 1 )   CALL timing_start('ice_forcing')
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -164,5 +164,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('ice_forcing_flx')
+      IF( nn_timing == 1 )   CALL timing_stop('ice_forcing')
       !
    END SUBROUTINE ice_forcing_flx
@@ -170,5 +170,5 @@
 
    SUBROUTINE ice_flx_dist( ptn_ice, palb_ice, pqns_ice, pqsr_ice, pdqn_ice, pevap_ice, pdevap_ice, k_iceflx )
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                  ***  ROUTINE ice_flx_dist  ***
       !!
@@ -184,5 +184,5 @@
       !!                                                 using T-ice and albedo sensitivity
       !!                =  2  Redistribute a single flux over categories
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER                   , INTENT(in   ) ::   k_iceflx   ! redistributor
       REAL(wp), DIMENSION(:,:,:), INTENT(in   ) ::   ptn_ice    ! ice surface temperature
@@ -206,6 +206,4 @@
       REAL(wp), ALLOCATABLE, DIMENSION(:,:) ::   ztem_m    ! Mean temperature over all categories
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('ice_flx_dist')
       !
       WHERE ( at_i (:,:) > 0._wp )   ; z1_at_i(:,:) = 1._wp / at_i (:,:)
@@ -253,6 +251,4 @@
          !
       END SELECT
-      !
-      IF( nn_timing == 1 )  CALL timing_stop('ice_flx_dist')
       !
    END SUBROUTINE ice_flx_dist
@@ -315,5 +311,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                     ***  MODULE  iceistate  ***
-   !!              Initialisation of diagnostics ice variables
+   !!   sea-ice : Initialization of ice variables
    !!======================================================================
    !! History :  2.0  ! 2004-01 (C. Ethe, G. Madec)  Original code
@@ -12,10 +12,9 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
    !!   ice_istate       :  initialization of diagnostics ice variables
    !!   ice_istate_init  :  initialization of ice state and namelist read
    !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
    USE phycst         ! physical constant
    USE oce            ! dynamics and tracers variables
@@ -29,8 +28,8 @@
    !
    USE in_out_manager ! I/O manager
+   USE iom            ! I/O manager library
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
    USE fldread        ! read input fields
-   USE iom
 
    IMPLICIT NONE
@@ -82,10 +81,10 @@
       !!                values in the namelist            
       !!
-      !! ** Steps   :   1) Read namelist
-      !!                2) Basal temperature; ice and hemisphere masks
+      !! ** Steps   :   1) Set initial surface and basal temperatures
+      !!                2) Recompute or read sea ice state variables
       !!                3) Fill in the ice thickness distribution using gaussian
       !!                4) Fill in space-dependent arrays for state variables
-      !!                5) Diagnostic arrays
-      !!                6) Lateral boundary conditions
+      !!                5) snow-ice mass computation
+      !!                6) store before fields
       !!
       !! ** Notes   : o_i, t_su, t_s, t_i, s_i must be filled everywhere, even
@@ -109,5 +108,5 @@
 
       !--------------------------------------------------------------------
-      ! 1) Read namelist
+      ! 1) Set surface and bottom temperatures to initial values
       !--------------------------------------------------------------------
       !
@@ -122,11 +121,13 @@
       t_bo(:,:) = ( t_bo(:,:) + rt0 ) * tmask(:,:,1) 
 
-      !--------------------------------------------------------------------
-      ! 2) Initialization of sea ice state variables
-      !--------------------------------------------------------------------
       IF( ln_iceini ) THEN
+         !-----------------------------------------------------------
+         ! 2) Compute or read sea ice variables ===> single category
+         !-----------------------------------------------------------
          !
-         IF( ln_iceini_file )THEN
-         !
+         !                             !---------------!
+         IF( ln_iceini_file )THEN      ! Read a file   !
+            !                          !---------------!
+            !
             zht_i_ini(:,:)  = si(jp_hti)%fnow(:,:,1)
             zht_s_ini(:,:)  = si(jp_hts)%fnow(:,:,1)
@@ -139,18 +140,15 @@
             ELSEWHERE                       ; zswitch(:,:) = 0._wp
             END WHERE
+            zvt_i_ini(:,:) = zht_i_ini(:,:) * zat_i_ini(:,:)
             !
-         ELSE ! ln_iceini_file = F
-
-            !--------------------------------------------------------------------
-            ! 3) Basal temperature, ice mask
-            !--------------------------------------------------------------------
-            ! no ice if sst <= t-freez + ttest
+         !                             !---------------!
+         ELSE                          ! Read namelist !
+            !                          !---------------!
+
+           ! no ice if sst <= t-freez + ttest
             WHERE( ( sst_m(:,:) - (t_bo(:,:) - rt0) ) * tmask(:,:,1) >= rn_thres_sst ) ; zswitch(:,:) = 0._wp 
             ELSEWHERE                                                                  ; zswitch(:,:) = tmask(:,:,1)
             END WHERE
 
-            !-----------------------------
-            ! 3.1) Hemisphere-dependent arrays
-            !-----------------------------
             ! assign initial thickness, concentration, snow depth and salinity to an hemisphere-dependent array
             WHERE( ff_t(:,:) >= 0._wp )
@@ -169,11 +167,11 @@
                ztm_i_ini(:,:) = rn_tmi_ini_s * zswitch(:,:)
             END WHERE
+            zvt_i_ini(:,:) = zht_i_ini(:,:) * zat_i_ini(:,:)
             !
-         ENDIF ! ln_iceini_file
+         ENDIF
          
-         zvt_i_ini(:,:) = zht_i_ini(:,:) * zat_i_ini(:,:)   ! ice volume
-         !---------------------------------------------------------------------
-         ! 3.2) Distribute ice concentration and thickness into the categories
-         !---------------------------------------------------------------------
+         !------------------------------------------------------------------
+         ! 3) Distribute ice concentration and thickness into the categories
+         !------------------------------------------------------------------
          ! a gaussian distribution for ice concentration is used
          ! then we check whether the distribution fullfills
@@ -187,5 +185,5 @@
                IF( zat_i_ini(ji,jj) > 0._wp .AND. zht_i_ini(ji,jj) > 0._wp )THEN
 
-                  !--- jl0: most likely index where cc will be maximum
+                  ! find which category (jl0) the input ice thickness falls into
                   jl0 = jpl
                   DO jl = 1, jpl
@@ -196,31 +194,24 @@
                   END DO
                   !
-                  ! initialisation of tests
-                  itest(:)  = 0
-                  
-                  i_fill = jpl + 1                                             !====================================
-                  DO WHILE ( ( SUM( itest(:) ) /= 4 ) .AND. ( i_fill >= 2 ) )  ! iterative loop on i_fill categories
-                     ! iteration                                               !====================================
+                  itest(:) = 0
+                  i_fill   = jpl + 1                                            !------------------------------------
+                  DO WHILE ( ( SUM( itest(:) ) /= 4 ) .AND. ( i_fill >= 2 ) )   ! iterative loop on i_fill categories
+                     !                                                          !------------------------------------
                      i_fill = i_fill - 1
-
-                     ! initialisation of ice variables for each try
+                     !
                      zh_i_ini(ji,jj,:) = 0._wp 
                      za_i_ini(ji,jj,:) = 0._wp
                      itest(:) = 0
                      !
-                     ! *** case very thin ice: fill only category 1
-                     IF ( i_fill == 1 ) THEN
+                     IF ( i_fill == 1 ) THEN      !-- case very thin ice: fill only category 1
                         zh_i_ini(ji,jj,1) = zht_i_ini(ji,jj)
                         za_i_ini(ji,jj,1) = zat_i_ini(ji,jj)
-
-                     ! *** case ice is thicker: fill categories >1
-                     ELSE
-
-                        ! Fill ice thicknesses in the (i_fill-1) cat by hmean 
+                     ELSE                         !-- case ice is thicker: fill categories >1
+                        ! thickness
                         DO jl = 1, i_fill-1
                            zh_i_ini(ji,jj,jl) = hi_mean(jl)
                         END DO
                         !
-                        !--- Concentrations
+                        ! concentration
                         za_i_ini(ji,jj,jl0) = zat_i_ini(ji,jj) / SQRT(REAL(jpl))
                         DO jl = 1, i_fill - 1
@@ -230,9 +221,7 @@
                            ENDIF
                         END DO
-                        !
-                        ! Concentration in the last (i_fill) category
+
+                        ! last category
                         za_i_ini(ji,jj,i_fill) = zat_i_ini(ji,jj) - SUM( za_i_ini(ji,jj,1:i_fill-1) )
-
-                        ! Ice thickness in the last (i_fill) category
                         zV = SUM( za_i_ini(ji,jj,1:i_fill-1) * zh_i_ini(ji,jj,1:i_fill-1) )
                         zh_i_ini(ji,jj,i_fill) = ( zvt_i_ini(ji,jj) - zV ) / MAX( za_i_ini(ji,jj,i_fill), epsi10 ) 
@@ -252,29 +241,23 @@
                         ENDIF
                         !
-                     ENDIF ! case ice is thick or thin
-
-                     !---------------------
+                     ENDIF
+
                      ! Compatibility tests
-                     !---------------------
-                     ! Test 1: area conservation
-                     zconv = ABS( zat_i_ini(ji,jj) - SUM( za_i_ini(ji,jj,1:jpl) ) )
+                     zconv = ABS( zat_i_ini(ji,jj) - SUM( za_i_ini(ji,jj,1:jpl) ) )           ! Test 1: area conservation
                      IF ( zconv < epsi06 ) itest(1) = 1
                      
-                     ! Test 2: volume conservation
-                     zconv = ABS(       zat_i_ini(ji,jj)       * zht_i_ini(ji,jj)   &
+                     zconv = ABS(       zat_i_ini(ji,jj)       * zht_i_ini(ji,jj)   &         ! Test 2: volume conservation
                         &        - SUM( za_i_ini (ji,jj,1:jpl) * zh_i_ini (ji,jj,1:jpl) ) )
                      IF ( zconv < epsi06 ) itest(2) = 1
                      
-                     ! Test 3: thickness of the last category is in-bounds ?
-                     IF ( zh_i_ini(ji,jj,i_fill) >= hi_max(i_fill-1) ) itest(3) = 1
+                     IF ( zh_i_ini(ji,jj,i_fill) >= hi_max(i_fill-1) ) itest(3) = 1           ! Test 3: thickness of the last category is in-bounds ?
                      
-                     ! Test 4: positivity of ice concentrations
                      itest(4) = 1
                      DO jl = 1, i_fill
-                        IF ( za_i_ini(ji,jj,jl) < 0._wp ) itest(4) = 0
+                        IF ( za_i_ini(ji,jj,jl) < 0._wp ) itest(4) = 0                        ! Test 4: positivity of ice concentrations
                      END DO
-                     !                                      !============================
-                  END DO                                    ! end iteration on categories
-                  !                                         !============================
+                     !                                                          !----------------------------
+                  END DO                                                        ! end iteration on categories
+                  !                                                             !----------------------------
                   !
                   IF( lwp .AND. SUM(itest) /= 4 ) THEN 
@@ -288,5 +271,5 @@
                   ENDIF
                
-               ENDIF !  zat_i_ini(ji,jj) > 0._wp .AND. zht_i_ini(ji,jj) > 0._wp
+               ENDIF
                !
             END DO   
@@ -294,5 +277,5 @@
 
          !---------------------------------------------------------------------
-         ! 3.3) Space-dependent arrays for ice state variables
+         ! 4) Fill in sea ice arrays
          !---------------------------------------------------------------------
 
@@ -426,14 +409,12 @@
          at_i (:,:) = at_i (:,:) + a_i (:,:,jl)
       END DO
-
-      !--------------------------------------------------------------------
-      ! 4) Global ice variables for output diagnostics                    | 
-      !--------------------------------------------------------------------
+      !
+      ! --- set ice velocities --- !
       u_ice (:,:)     = 0._wp
       v_ice (:,:)     = 0._wp
       !
-      !--------------------------------------------------------------------
-      ! Snow-ice mass (case ice is fully embedded)                    | 
-      !--------------------------------------------------------------------
+      !----------------------------------------------
+      ! 5) Snow-ice mass (case ice is fully embedded)
+      !----------------------------------------------
       snwice_mass  (:,:) = tmask(:,:,1) * ( rhosn * vt_s(:,:) + rhoic * vt_i(:,:)  )   ! snow+ice mass
       snwice_mass_b(:,:) = snwice_mass(:,:)
@@ -556,17 +537,17 @@
          WRITE(numout,*) '~~~~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namini:'
-         WRITE(numout,*) '      initialization with ice (T) or not (F)                 ln_iceini     = ', ln_iceini
-         WRITE(numout,*) '      ice initialization from a netcdf file                ln_iceini_file  = ', ln_iceini_file
-         WRITE(numout,*) '      max delta ocean temp. above Tfreeze with initial ice   rn_thres_sst  = ', rn_thres_sst
-         WRITE(numout,*) '      initial snow thickness in the north                    rn_hts_ini_n  = ', rn_hts_ini_n
-         WRITE(numout,*) '      initial snow thickness in the south                    rn_hts_ini_s  = ', rn_hts_ini_s 
-         WRITE(numout,*) '      initial ice thickness  in the north                    rn_hti_ini_n  = ', rn_hti_ini_n
-         WRITE(numout,*) '      initial ice thickness  in the south                    rn_hti_ini_s  = ', rn_hti_ini_s
-         WRITE(numout,*) '      initial ice concentr.  in the north                    rn_ati_ini_n  = ', rn_ati_ini_n
-         WRITE(numout,*) '      initial ice concentr.  in the north                    rn_ati_ini_s  = ', rn_ati_ini_s
-         WRITE(numout,*) '      initial  ice salinity  in the north                    rn_smi_ini_n  = ', rn_smi_ini_n
-         WRITE(numout,*) '      initial  ice salinity  in the south                    rn_smi_ini_s  = ', rn_smi_ini_s
-         WRITE(numout,*) '      initial  ice/snw temp  in the north                    rn_tmi_ini_n  = ', rn_tmi_ini_n
-         WRITE(numout,*) '      initial  ice/snw temp  in the south                    rn_tmi_ini_s  = ', rn_tmi_ini_s
+         WRITE(numout,*) '      initialization with ice (T) or not (F)                 ln_iceini       = ', ln_iceini
+         WRITE(numout,*) '      ice initialization from a netcdf file                  ln_iceini_file  = ', ln_iceini_file
+         WRITE(numout,*) '      max delta ocean temp. above Tfreeze with initial ice   rn_thres_sst    = ', rn_thres_sst
+         WRITE(numout,*) '      initial snow thickness in the north                    rn_hts_ini_n    = ', rn_hts_ini_n
+         WRITE(numout,*) '      initial snow thickness in the south                    rn_hts_ini_s    = ', rn_hts_ini_s 
+         WRITE(numout,*) '      initial ice thickness  in the north                    rn_hti_ini_n    = ', rn_hti_ini_n
+         WRITE(numout,*) '      initial ice thickness  in the south                    rn_hti_ini_s    = ', rn_hti_ini_s
+         WRITE(numout,*) '      initial ice concentr.  in the north                    rn_ati_ini_n    = ', rn_ati_ini_n
+         WRITE(numout,*) '      initial ice concentr.  in the north                    rn_ati_ini_s    = ', rn_ati_ini_s
+         WRITE(numout,*) '      initial  ice salinity  in the north                    rn_smi_ini_n    = ', rn_smi_ini_n
+         WRITE(numout,*) '      initial  ice salinity  in the south                    rn_smi_ini_s    = ', rn_smi_ini_s
+         WRITE(numout,*) '      initial  ice/snw temp  in the north                    rn_tmi_ini_n    = ', rn_tmi_ini_n
+         WRITE(numout,*) '      initial  ice/snw temp  in the south                    rn_tmi_ini_s    = ', rn_tmi_ini_s
       ENDIF
 
@@ -595,5 +576,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE iceitd ***
-   !!   LIM3 ice model : ice thickness distribution: Thermodynamics
+   !!   sea-ice : ice thickness distribution
    !!======================================================================
    !! History :   -   !          (W. H. Lipscomb and E.C. Hunke) CICE (c) original code
@@ -11,12 +11,10 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
-   !!   ice_itd_rem   :
-   !!   ice_itd_reb   :
-   !!   ice_itd_glinear  :
-   !!   ice_itd_shiftice :
+   !!   ice_itd_init   : read ice thicknesses mean and min from namelist
+   !!   ice_itd_rem    : redistribute ice thicknesses after thermo growth and melt
+   !!   ice_itd_reb    : rebin ice thicknesses into bounded categories
    !!----------------------------------------------------------------------
-   USE par_oce        ! ocean parameters
    USE dom_oce        ! ocean domain
    USE phycst         ! physical constants 
@@ -26,8 +24,8 @@
    USE icetab         ! sea-ice: convert 1D<=>2D
    !
-   USE prtctl         ! Print control
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! to use key_nosignedzero
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE prtctl         ! Print control
 
    IMPLICIT NONE
@@ -36,8 +34,8 @@
    PUBLIC   ice_itd_init  ! called in icestp
    PUBLIC   ice_itd_rem   ! called in icethd
-   PUBLIC   ice_itd_reb   ! called in iceerr
-
-   ! ** ice-thickness distribution namelist (namitd) **
-   REAL(wp) ::   rn_himean        ! mean thickness of the domain (used to compute the distribution)
+   PUBLIC   ice_itd_reb   ! called in icecor
+
+   ! ** namelist (namitd) **
+   REAL(wp) ::   rn_himean   ! mean thickness of the domain
 
    !!----------------------------------------------------------------------
@@ -53,9 +51,9 @@
       !!
       !! ** Purpose :   computes the redistribution of ice thickness
-      !!              after thermodynamic growth of ice thickness
-      !!
-      !! ** Method  : Linear remapping 
-      !!
-      !! References : W.H. Lipscomb, JGR 2001
+      !!                after thermodynamic growth of ice thickness
+      !!
+      !! ** Method  :   Linear remapping 
+      !!
+      !! References :   W.H. Lipscomb, JGR 2001
       !!------------------------------------------------------------------
       INTEGER , INTENT (in) ::   kt      ! Ocean time step 
@@ -696,5 +694,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                     ***  MODULE  icerst  ***
-   !! Ice restart :  write the ice restart file
+   !!   sea-ice :  write/read the ice restart file
    !!======================================================================
    !! History:   3.0  ! 2005-04 (M. Vancoppenolle) Original code
@@ -10,9 +10,9 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                        LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_rst_opn   : open ice restart file
-   !!   ice_rst_write : write of the restart file 
-   !!   ice_rst_read  : read  the restart file 
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_rst_opn   : open  restart file
+   !!   ice_rst_write : write restart file 
+   !!   ice_rst_read  : read  restart file 
    !!----------------------------------------------------------------------
    USE ice            ! sea-ice variables
@@ -22,7 +22,8 @@
    !
    USE in_out_manager ! I/O manager
-   USE iom            ! I/O library
+   USE iom            ! I/O manager library
    USE lib_mpp        ! MPP library
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -44,5 +45,5 @@
       !!                    ***  ice_rst_opn  ***
       !!
-      !! ** purpose  :   output of sea-ice variable in a netcdf file
+      !! ** purpose  :   open restart file
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt       ! number of iteration
@@ -95,5 +96,5 @@
       !!                    ***  ice_rst_write  ***
       !!
-      !! ** purpose  :   output of sea-ice variable in a netcdf file
+      !! ** purpose  :   write restart file
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt     ! number of iteration
@@ -105,4 +106,6 @@
       REAL(wp), DIMENSION(jpi,jpj) :: z2d
       !!----------------------------------------------------------------------
+
+      IF( nn_timing == 1 )   CALL timing_start('ice_rst')
 
       iter = kt + nn_fsbc - 1   ! ice restarts are written at kt == nitrst - nn_fsbc + 1
@@ -184,4 +187,5 @@
       ENDIF
       !
+      IF( nn_timing == 1 ) CALL timing_stop('ice_rst')
       !
    END SUBROUTINE ice_rst_write
@@ -192,5 +196,5 @@
       !!                    ***  ice_rst_read  ***
       !!
-      !! ** purpose  :   read of sea-ice variable restart in a netcdf file
+      !! ** purpose  :   read restart file
       !!----------------------------------------------------------------------
       INTEGER  :: jk, jl
@@ -202,4 +206,6 @@
       LOGICAL           ::   llok
       !!----------------------------------------------------------------------
+
+      IF( nn_timing == 1 )   CALL timing_start('ice_rst')
 
       IF(lwp) THEN
@@ -279,9 +285,11 @@
       CALL iom_get( numrir, jpdom_autoglo, 'v_ice', v_ice )
 
+      IF( nn_timing == 1 ) CALL timing_stop('ice_rst')
+
    END SUBROUTINE ice_rst_read
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :       Empty module            NO LIM sea-ice model
+   !!   Default option :       Empty module           NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
